JsonExporter (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.dashboard, class: JsonExporter

Package org.apache.jmeter.report.dashboard

# Class JsonExporter

java.lang.Object
org.apache.jmeter.report.dashboard.AbstractDataExporter
org.apache.jmeter.report.dashboard.JsonExporter

All Implemented Interfaces:
  `DataExporter`

public class JsonExporter extends AbstractDataExporter
Implementation of `DataExporter` that exports statistics to JSON

Since:
  5.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OUTPUT_FILENAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonExporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `export(SampleContext context, File file, ReportGeneratorConfiguration reportGeneratorConfiguration)`
  Export data from the specified context using the given configuration.

  ### Methods inherited from class org.apache.jmeter.report.dashboard.AbstractDataExporter

  `findData, findValue, getName, getPropertyFromConfig, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUTPUT_FILENAME

    public static final String OUTPUT_FILENAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JsonExporter

    public JsonExporter()

- ## Method Details

  - ### export

    public void export(SampleContext context, File file, ReportGeneratorConfiguration reportGeneratorConfiguration) throws ExportException
    Description copied from interface: `DataExporter`
    Export data from the specified context using the given configuration.
    Parameters:
      `context` - the context (must not be `null`)
      `file` - the file which from samples come (must not be `null`)
      `reportGeneratorConfiguration` - the configuration (must not be `null`)
    Throws:
      `ExportException` - the export exception